Bug 407471 - RFE: yum-fastestmirror could use a configuration option to mark some mirrors as dead
RFE: yum-fastestmirror could use a configuration option to mark some mirrors ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-01 14:05 EST by Michal Jaegermann
Modified: 2007-12-26 18:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-04 17:09:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2007-12-01 14:05:24 EST
Description of problem:

To make this request more specific - mirror.cpsc.ucalgary.ca
is "pretty local" here so it tends to show up with the best
time in /var/cache/yum/timedhosts.txt when yum-fastestmirror
plugin is used.  That is nice but the problem is that if your
machine will get qualified as an "outsider" (no idea what criteria
are used but from results this obviously happens) then that mirror
limits a bandwidth to that extent that it becomes unusable.
Download speeds are 4kB/sec or lower.  Otherwise this mirror
is really fast if you will happen to fall into an "inner circle".

In such situation one can edit /var/cache/yum/timedhosts.txt
and put a lot of 9's in mirror.cpsc.ucalgary.ca entry and this
helps - until the next time a timing file will get refreshed.

It would be really useful if one could mark a speficic mirror in
/etc/yum/pluginconf.d/fastestmirror.conf as "dead" and that
would be honoured on a rewrite of timedhosts.txt.  Other mirrors
may have the same property but I do not normally "see" those
because for me they show up with longer access times.
Comment 1 Tim Lauridsen 2007-12-03 09:22:25 EST
Luke: Comments please
Comment 2 Luke Macken 2007-12-03 11:45:53 EST
I added an 'exclude' configuration option to fastestmirror.
        
http://devel.linux.duke.edu/gitweb/?p=yum-utils.git;a=commitdiff;h=378eabfecc3e4263251f77d89bc0dba18d057ca4

Will that do the trick, Michal?
Comment 4 Michal Jaegermann 2007-12-03 12:52:05 EST
> Will that do the trick, Michal?

Scanning through the code it appears that this would be the case. Thanks!

Only a syntax of this option is not that clear.  Is it possible to
provide a list of mirrors to exclude?  If yes then in what format?
Are multiple "exclude=" cummulative or the last one overrides?

I will try "live tests" somewhat later.  To add some excitment to
that what shows up in timedhosts.txt is not static. :-)
Comment 5 Luke Macken 2007-12-03 13:43:38 EST
I just committed support for multiple excludes.  
http://devel.linux.duke.edu/gitweb/?p=yum-utils.git;a=commitdiff;h=5cf2afa03f5fedeb45d7cde6e5dec60052c4ab74

It now supports multiple comma or space delimited excludes.  For example:

In your fastestmirror.conf:

    exclude=.gov, facebook

Yields:

    Determining fastest mirrors
     * livna-development: rpm.livna.org
     * updates-testing: 192.168.0.131
     * livna: rpm.livna.org
     * fedora: 192.168.0.131
    Excluding mirrors: mirror.anl.gov
    Excluding mirrors: fedora.mirror.facebook.com
     * updates: srl.cs.jhu.edu
Comment 6 Michal Jaegermann 2007-12-04 15:50:15 EST
I tried the latest version from HEAD and, AFAICS it works fine.  Thanks!
'mirror.cpsc.ucalgary.ca' did not show up on a mirror list at this
particular moment so even if it was present as an "exclude"
in that plugin configuration file the following was printed for me:

Determining fastest mirrors
 * livna: rpm.livna.org
 * fedora: www.muug.mb.ca
 * updates: www.muug.mb.ca
 * local-updates: net
Comment 7 Fedora Update System 2007-12-07 16:30:25 EST
yum-utils-1.1.9-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-utils'
Comment 8 Fedora Update System 2007-12-07 16:33:35 EST
yum-utils-1.1.9-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-utils'
Comment 9 Michal Jaegermann 2007-12-21 15:48:16 EST
It is very nice that yum-utils-1.1.9-1.fc{7,8} were pushed on 2007-12-07
to testing repository but they seem to be stuck there.  Any chance that
they will get released?  So far only rawhide is at yum-utils-1.1.9-1.fc9.
Comment 10 Fedora Update System 2007-12-23 17:50:16 EST
yum-utils-1.1.9-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-utils'
Comment 11 Fedora Update System 2007-12-23 17:50:59 EST
yum-utils-1.1.9-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-utils'
Comment 12 Fedora Update System 2007-12-26 18:51:46 EST
yum-utils-1.1.9-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2007-12-26 18:52:15 EST
yum-utils-1.1.9-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.